#pragma once
#ifndef QCONSOLECOMMANDACTION_H
#define	QCONSOLECOMMANDACTION_H
#include "AllHead.h"
#include "OCCTBase.h"
#include "QConsoleWidget.h"
#include "modelProcess/ModelProcess.h"
#include "OCCViewer\DocumentCommon.h"
#include "OCCViewer\GeomWidget.h"



class BandingModelPrcessAndQConsoleWidgetClass:public QObject
{
	Q_OBJECT
public:
	BandingModelPrcessAndQConsoleWidgetClass(QObject* parent = nullptr);
	~BandingModelPrcessAndQConsoleWidgetClass();

public:
	ModelProcess* modelprocess;
	QConsoleWidget* console;

public:
	void setModelProcess(ModelProcess* modelprocess);
	void setQConsoleWidget(QConsoleWidget* console);
	ModelProcess* getModelProcess();
	QConsoleWidget* getQConsoleWidget();
	ModelProcess* createModelProcess();
	QConsoleWidget* createQConsoleWidget();


	void bandingModelProcessAndQConsoleWidget();
	void OpenQConsoleWidgetFromModelProcess(ModelProcess* w);
};







































#endif // !QCONSOLECOMMANDACTION_H


